--- title: "getServerProductList" slug: "compute-vserver-server-common-getserverproductlist" updated: 2026-09-17T10:06:00Z published: 2026-09-17T10:06:00Z canonical: "api.ncloud-docs.com/compute-vserver-server-common-getserverproductlist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # getServerProductList Available in VPC Get the list of server specification products provided by NAVER Cloud Platform. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET \| POST | /vserver/v2/getServerProductList | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. ### Request headers For information about the headers common to all Server APIs, see [Server request headers](/docs/en/compute-vserver#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist). - First Region in the query results (default) | | `zoneCode` | String | Optional | Zone code - See [getZoneList](/docs/en/compute-vserver-server-common-getzonelist). | | `serverImageProductCode` | String | Conditional | Server image product code - Get the list of server specification products available for creation in the server image product. - Either `serverImageProductCode` or `memberServerImageInstanceNo` is required. - `memberServerImageInstanceNo` is prioritized when both are entered. - See [getServerImageProductList](/docs/en/compute-vserver-server-common-getserverimageproductlist). | | `exclusionProductCode` | String | Optional | Product code to exclude - See [getServerProductList](/docs/en/compute-vserver-server-common-getserverproductlist). | | `productCode` | String | Optional | Product code to query - See [getServerProductList](/docs/en/compute-vserver-server-common-getserverproductlist). | | `generationCode` | String | Optional | Generation code. - Filter by the server generation code. - `G1` \| `G2` | | `memberServerImageInstanceNo` | String | Conditional | My server image instance number - Get generation specifications for EOL OS - Either `serverImageProductCode` or `memberServerImageInstanceNo` must be entered. - `memberServerImageInstanceNo` is prioritized when both are entered. - See [getMemberServerImageInstanceList](/docs/en/compute-vserver-serverimage-getmemberserverimageinstancelist). | | `responseFormatType` | String | Optional | Format of the response data - `xml` (default) \| `json` | ### Request example The request example is as follows: ``` curl --location --request GET 'https://ncloud.apigw.ntruss.com/vserver/v2/getServerProductList ?regionCode=KR &zoneCode=KR-1 &serverImageProductCode=SW.VSVR.OS.LNX64.UBNTU.SVR2004.B050 &exclusionProductCode=SVR.VSVR.STAND.C002.M008.NET.HDD.B050.G002 &productCode=SVR.VSVR.STAND.C002.M008.NET.SSD.B050.G002 &generationCode=G2 &responseFormatType=json' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `getServerProductListResponse` | Object | - | Response result - See [ProductList](/docs/en/common-vapidatatype-productlist). | | `getServerProductListResponse.requestId` | String | - | ID for the request - UUID format | | `getServerProductListResponse.returnCode` | String | - | Response code | | `getServerProductListResponse.returnMessage` | String | - | Response message | ### Response status codes For information about the response status codes common to all Server APIs, see [Server response status codes](/docs/en/compute-vserver#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "getServerProductListResponse": { "totalRows": 1, "productList": [ { "productCode": "SVR.VSVR.STAND.C002.M008.NET.SSD.B050.G002", "productName": "vCPU 2EA, Memory 8GB, [SSD]Disk 50GB", "productType": { "code": "STAND", "codeName": "Standard" }, "productDescription": "vCPU 2EA, Memory 8GB, [SSD]Disk 50GB", "infraResourceType": { "code": "VSVR", "codeName": "Server (VPC)" }, "cpuCount": 2, "memorySize": 8589934592, "baseBlockStorageSize": 53687091200, "osInformation": "", "diskType": { "code": "NET", "codeName": "Network storage" }, "dbKindCode": "", "addBlockStorageSize": 0, "generationCode": "G2" } ], "requestId": "dc99df0b-****-****-****-4491d7d03fb8", "returnCode": "0", "returnMessage": "success" } } ```